unit zakon;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if edit1.text='a*b=b*a' then showmessage(' Верно ') else showmessage(' неверно ');

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if edit2.text='a+b=b+a' then showmessage(' Верно ') else showmessage(' неверно ');
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if edit3.text='(a*b)*c=a*(b*c)' then showmessage(' Верно ') else showmessage(' неверно ');
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  if edit4.text='(a+b)+c=a+(b+c)' then showmessage(' Верно ') else showmessage(' неверно ');
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
if edit5.text='a(b+c)=a*b+a*c' then showmessage(' Верно ') else showmessage(' неверно ');
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
 if edit6.text='a*(b-c)=a*b-a*c' then showmessage(' Верно ') else showmessage(' неверно ');
end;

end.
